Loading...
Searching...
No Matches
auxiliary.hpp File Reference

Provides auxiliary information. More...

`#include <concepts>`
`#include <sstream>`
`#include <type_traits>`
`#include <unordered_map>`
`#include <vector>`
`#include <seqan3/core/debug_stream/debug_stream_type.hpp>`
`#include <seqan3/core/detail/customisation_point.hpp>`
`#include <seqan3/io/stream/concept.hpp>`
Include dependency graph for auxiliary.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::argument_parser_meta_data
| Stores all parser related meta information of the seqan3::argument_parser. More...
struct | seqan3::custom::argument_parsing< t >
| A type that can be specialised to provide customisation point implementations for the seqan3::argument_parser such that third party types may be adapted. More...
struct | seqan3::enumeration_printer< enum_t >
| A type (e.g. an enum) can be made debug streamable by customizing the seqan3::enumeration_names. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::custom
| A namespace for third party and standard library specialisations of SeqAn customisation points.

## Enumerations

enum | seqan3::option_spec { seqan3::standard = 0 , seqan3::required = 1 , seqan3::advanced = 2 , seqan3::hidden = 4 }
| Used to further specify argument_parser options/flags. More...
enum class | seqan3::update_notifications { seqan3::on , seqan3::off }
| Indicates whether application allows automatic update notifications by the seqan3::argument_parser. More...

## Variables

Customisation Points
template<typename option_type>
auto const | seqan3::enumeration_names = detail::adl_only::enumeration_names_cpo<option_type>{}()
| Return a conversion map from std::string_view to option_type.

## Detailed Description

Provides auxiliary information.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me